Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.beaneditor
Class PrimitiveFieldConstraintGenerator

    java.lang.Object
      org.apache.tapestry5.internal.beaneditor.PrimitiveFieldConstraintGenerator

All Implemented Interfaces:
  ValidationConstraintGenerator

    public class PrimitiveFieldConstraintGenerator

extends java.lang.Object
implements ValidationConstraintGenerator

Adds a "required" constraint for any property of whose type is a primitive (not a wrapper or reference) type.

Constructor Summary
`PrimitiveFieldConstraintGenerator()`

Method Summary
`java.util.List<java.lang.String>` | `buildConstraints(java.lang.Class propertyType, AnnotationProvider annotationProvider)` For a given property, identify all the approprite validation constraints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveFieldConstraintGenerator

    public PrimitiveFieldConstraintGenerator()

Method Detail

### buildConstraints

    public java.util.List<java.lang.String> buildConstraints(java.lang.Class propertyType,
                                                             AnnotationProvider annotationProvider)

  Description copied from interface: `ValidationConstraintGenerator`
  For a given property, identify all the approprite validation constraints. Each returned value is the name of a validator (i.e., "required") or a validator name and configuration (i.e., "minlength=5"). These contraints are exactly the individual terms in a `validate specification`. These will ultimately be used to create `FieldValidator`s for the field that edits the property.

  Specified by:
    `buildConstraints` in interface `ValidationConstraintGenerator`
  Parameters:
    `propertyType` - the type of the property for which constraints are needed
    `annotationProvider` - provides access to any annotations concerning the property (for implementations that are based on analysis of property annotations)
  Returns:
    a list of constraints
  See Also:
    `FieldValidatorSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.